Groovy 1.7.0

## groovy.lang
Annotation Type GrabExclude

    java.lang.Object
      groovy.lang.GrabExclude

    @Retention(RetentionPolicy.SOURCE)
    @Target({
            ElementType.CONSTRUCTOR,
            ElementType.FIELD,
            ElementType.LOCAL_VARIABLE,
            ElementType.METHOD,
            ElementType.PARAMETER,
            ElementType.TYPE})
    @interface GrabExclude

Used to exclude the indirectly referenced artifact from the classpath.

Add it within a `@Grapes` annotation.

Required Element Summary
`String` | `module` The module or artifact, e.g.: "ant-junit"

Optional Element Summary
`String` | `group` The organisation or group, e.g.: "org.apache.ant"
`String` | `value` Allows a more compact convenience format in one of two formats, e.g.: "org.apache.ant:ant-junit" or "org.apache.ant#ant-junit".

Method Summary

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Element Detail

### group

    String group

  The organisation or group, e.g.: "org.apache.ant"
  default:
    ""

### module

    String module

  The module or artifact, e.g.: "ant-junit"

### value

    String value

  Allows a more compact convenience format in one of two formats, e.g.: "org.apache.ant:ant-junit" or "org.apache.ant#ant-junit".
  default:
    ""

Copyright © 2003-2009 The Codehaus. All rights reserved.